@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&display=swap");

:root {
  --gray: rgb(245, 245, 245);
  --alert-color: rgb(250, 157, 157);
  --alert--text-color: rgb(106, 37, 37);
  --secondary-color: #f5f5f5;
  --primary--text-color-color: rgba(0, 0, 0, 0.804);
  --gray-background-color: rgb(245, 245, 245);
}
@keyframes revealAnimation {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.app-container {
  font-family: sans-serif;
  height: 600px;
  overflow: hidden;
  /* box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.2); */
}

.app-container h1 {
  -text-color-align: center;
  font-size: 30px;
  font-family: "Lato", sans-serif;
  padding: 0px;
  margin: 0px;
}

.padding20 {
  padding: 20px;
}
.padding20sides {
  padding-right: 20px;
  padding-left: 20px;
}

.app-container .not-current-page {
  position: absolute;
  left: 0; /* Align to the left edge */
  width: 100%; /* Take full width of container */
  height: 0px !important;
  overflow: hidden;
  z-index: 4;
  transition: all 1s ease-in-out;
}

.app-container .current-page {
  position: absolute;
  left: 0; /* Align to the left edge */
  width: 100%; /* Take full width of container */
}

.app-container .page-container label {
  font-family: "Lato", sans-serif;
}
.app-container .page-container form input {
  margin-bottom: 20px;
}

.app-container .page-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height: 600px;
  width: 100%;
  background-color: rgb(245, 245, 245);
}

.app-container .page-container .login-form {
  padding: 40px;
  width: 50%;
  background-color: rgb(245, 245, 245);
  min-height: 600px;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.app-container .page-container .login-header {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 50%;
  min-height: 600px;
  padding: 40px;
  z-index: 3;
}

.app-container .login-form-header {
  color: var(--primary--text-color-color);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.page-container .remember-me {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

.app-container form .remember-me label {
  font-weight: 100;
}

.app-container form .remember-me input {
  padding: 0px;
  margin: 0px;
  margin-right: 10px;
}

.app-container .login-options .forgot-password {
  font-family: "Lato", sans-serif;
  margin-bottom: 20px;
}
.app-container .login-options {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.home-content {
  background-color: rgb(245, 245, 245);
  width: 100%;
  height: 100%;
}

.home-header-container {
  color: black;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0px 10px 10px rgba(64, 64, 64, 0.148);
  height: 100px;
}

.greeting-logo-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;
}

.greeting-logo-container .greeting {
  display: flex;
  flex-direction: column;
  /* justify-content: flex-start; */
  align-items: flex-start;
}

.greeting-logo-container .greeting p {
  font-weight: 100;
  margin-bottom: 0;
}

.home-header-container h2 {
  color: white;
  font-size: 2.25rem;
  padding: 0;
  margin: 0;
}

.app-container .page-container .logout-button {
  background-color: transparent !important;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 40px;
  width: 40px;
  padding: 0;
}

.logout-icon {
  height: 20px;
  padding: 0;
  margin: 0;
}

.check-in-option {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 20px;
}

.check-in-option .buttons-container {
  display: flex;
  justify-content: space-between;
  width: 400px;
  background-color: rgba(0, 0, 0, 0.153);
  border-radius: 10px;
  padding: 5px;
}

.buttons-container .check-in-button,
.buttons-container .check-out-button {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 50%;
  background-color: transparent;
  height: 40px;
  border-radius: 8px;
  width: max-content;
  overflow: hidden;
}

.buttons-container .active {
  color: var(--primary--text-color-color);
  background-color: rgb(255, 255, 255);
  transition: all 0.5s ease-in-out;
}

.child-check-cards-container {
  z-index: 2;
}
.child-check-cards-container p {
  width: max-content;
}

.child-check-card {
  padding: 10px;
  background-color: white;
  width: 100%;
  color: var(--primary--text-color-color);
  border-radius: 10px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: row;
  margin-bottom: 10px;
  z-index: 2;
}

.child-check-card .check-box {
  border-radius: 10px;
  width: 40px;
  height: 40px;
  border: 1px solid rgb(224, 224, 224);
}

.child-check-card h4 {
  padding: 0;
  margin: 0;
  margin-left: 10px;
}

.child-check-card img {
  /* position: relative; */
  /* right: 11px; */
  /* bottom: 5px; */
  height: 30px;
  max-width: 30px;
  opacity: 0.5;
}

.child-check-card button {
  display: flex;
  justify-content: center;
  align-items: center;
}
.kids-banner {
  position: absolute;
  bottom: -70px;
  opacity: 0.2;
  min-width: 120%;
}

.continue-button-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.continue-button-container button {
  border-radius: 10px;
  animation: revealAnimation 0.5s ease-in-out;
  width: 400px;
}

.dxko-plugin-alert {
  background-color: var(--alert-color);
  color: var(--alert--text-color);
  padding: 10px;
  border-radius: 5px;
  display: flex;
  flex-direction: row;
  position: fixed;
  top: 50px;
  max-width: 400px;
  align-items: center;
  z-index: 20;
}

.dxko-plugin-alert p {
  margin: 0;
  padding: 0;
}

.dxko-plugin-alert .alert-icon {
  height: 32px;
  margin-right: 10px;
}

.app-container .not-current-section {
  left: 0px;
  width: 100%;
  height: 0px !important;
  overflow: hidden;
  z-index: 1;
  padding: 0px 20px 0px 20px;
}

.app-container .current-section {
  /* position: absolute; */
  left: 0;
  height: 450px;
  width: 100%;
  overflow: hidden;
  z-index: 2;
  padding: 20px;
  transition: all 1s ease-in-out;
}

.option-selector select {
  padding: 10px;
  background-color: white;
  width: 100%;
  color: var(--primary--text-color-color);
  border-radius: 10px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: row;
  margin-bottom: 10px;
  z-index: 2;
}

.section-2 form {
  height: min-content;
}

.section-3 .summary {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
}

.section-3 .summary .time-summaries {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-end;
}

.section-3 .summary .time-summaries p {
  margin: 0;
  padding: 0;
}

.home-footer {
  position: absolute;
  height: 50px;
  width: 100%;
  bottom: 0px;
  display: flex;
  align-items: center;
}

.back-button {
  background-color: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
}
/* mobile alterations */
@media screen and (max-width: 480px) {
  .app-container .page-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 600px;
    width: 100%;
    background-color: rgb(245, 245, 245);
  }

  .app-container .page-container .login-header {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 40px;
    width: 100%;
    min-height: 30%;
  }

  .app-container .page-container .login-form {
    padding: 40px;
    width: 100%;
    background-color: rgb(245, 245, 245);
    min-height: 70%;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }

  .app-container .page-container .logout-button {
    background-color: transparent !important;
    border-radius: 50%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    height: 15px;
    width: 15px;
    padding: 0;
    margin-left: 20px;
  }

  .logout-icon {
    height: 15px;
    padding: 0;
    margin: 0;
  }

  .continue-button-container button {
    border-radius: 10px;
    animation: revealAnimation 0.5s ease-in-out;
  }

  .dxko-plugin-alert {
    width: 80%;
  }

  .check-in-option .buttons-container {
    min-width: 100%;
  }
}
